871e6f439b10fa1aedb38b27559cbaa55a882070
[deliverable/binutils-gdb.git] / configure.in
1 #! /bin/bash
2 ##############################################################################
3
4 ## This file is a shell script fragment that supplies the information
5 ## necessary to tailor a template configure script into the configure
6 ## script appropriate for this directory. For more information, check
7 ## any existing configure script.
8
9 ## Be warned, there are two types of configure.in files. There are those
10 ## used by Autoconf, which are macros which are expanded into a configure
11 ## script by autoconf. The other sort, of which this is one, is executed
12 ## by Cygnus configure.
13
14 ## For more information on these two systems, check out the documentation
15 ## for 'Autoconf' (autoconf.texi) and 'Configure' (configure.texi).
16
17 # Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998,
18 # 1999, 2000, 2001, 2002 Free Software Foundation, Inc.
19 #
20 # This file is free software; you can redistribute it and/or modify it
21 # under the terms of the GNU General Public License as published by
22 # the Free Software Foundation; either version 2 of the License, or
23 # (at your option) any later version.
24 #
25 # This program is distributed in the hope that it will be useful, but
26 # WITHOUT ANY WARRANTY; without even the implied warranty of
27 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
28 # General Public License for more details.
29 #
30 # You should have received a copy of the GNU General Public License
31 # along with this program; if not, write to the Free Software
32 # Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
33
34 ##############################################################################
35
36 ### To add a new directory to the tree, first choose whether it is a target
37 ### or a host dependent tool. Then put it into the appropriate list
38 ### (library or tools, host or target), doing a dependency sort. For
39 ### example, gdb requires that byacc (or bison) be built first, so it is in
40 ### the ${host_tools} list after byacc and bison.
41
42
43 # these libraries are used by various programs built for the host environment
44 #
45 host_libs="intl mmalloc libiberty opcodes bfd readline gash db tcl tk tcl8.1 tk8.1 tclX itcl tix libgui zlib"
46
47 libstdcxx_version="target-libstdc++-v3"
48 # Don't use libstdc++-v3's flags to configure/build itself.
49 libstdcxx_flags='`case $$dir in libstdc++-v3 | libjava) ;; *) test ! -f $$r/$(TARGET_SUBDIR)/libstdc++-v3/testsuite_flags || $(SHELL) $$r/$(TARGET_SUBDIR)/libstdc++-v3/testsuite_flags --build-includes;; esac` -L$$r/$(TARGET_SUBDIR)/libstdc++-v3/src -L$$r/$(TARGET_SUBDIR)/libstdc++-v3/src/.libs'
50
51 # these tools are built for the host environment
52 # Note, the powerpc-eabi build depends on sim occurring before gdb in order to
53 # know that we are building the simulator.
54 host_tools="texinfo byacc flex bison binutils ld gas gcc cgen sid sim gdb make patch prms send-pr gprof gdbtest tgas etc expect dejagnu ash bash bzip2 m4 autoconf automake libtool ispell grep diff rcs cvssrc fileutils shellutils time textutils wdiff find emacs emacs19 uudecode hello tar gzip indent recode release sed utils guile perl apache inet gawk findutils snavigator libtool gettext zip fastjar"
55
56 # libgcj represents the runtime libraries only used by gcj.
57 libgcj="target-libffi \
58 target-boehm-gc \
59 target-zlib \
60 target-qthreads \
61 target-libjava"
62
63 # these libraries are built for the target environment, and are built after
64 # the host libraries and the host tools (which may be a cross compiler)
65 #
66 target_libs="target-libiberty \
67 target-libgloss \
68 target-newlib \
69 target-librx \
70 ${libstdcxx_version} \
71 target-libf2c \
72 ${libgcj}
73 target-libobjc"
74
75 # these tools are built using the target libs, and are intended to run only
76 # in the target environment
77 #
78 # note: any program that *uses* libraries that are in the "target_libs"
79 # list belongs in this list. those programs are also very likely
80 # candidates for the "native_only" list which follows
81 #
82 target_tools="target-examples target-groff target-gperf"
83
84 ################################################################################
85
86 ## These two lists are of directories that are to be removed from the
87 ## ${configdirs} list for either cross-compilations or for native-
88 ## compilations. For example, it doesn't make that much sense to
89 ## cross-compile Emacs, nor is it terribly useful to compile target-libiberty in
90 ## a native environment.
91
92 # directories to be built in the native environment only
93 #
94 # This must be a single line because of the way it is searched by grep in
95 # the code below.
96 native_only="autoconf automake libtool cvssrc emacs emacs19 fileutils find gawk gettext grep gzip hello indent ispell m4 rcs recode sed shellutils tar textutils gash uudecode wdiff gprof target-groff guile perl apache inet time ash bash bzip2 prms snavigator gnuserv target-gperf"
97
98 # directories to be built in a cross environment only
99 #
100 cross_only="target-libgloss target-newlib target-cygmon target-opcodes target-libstub"
101
102 ## All tools belong in one of the four categories, and are assigned above
103 ## We assign ${configdirs} this way to remove all embedded newlines. This
104 ## is important because configure will choke if they ever get through.
105 ## ${configdirs} is directories we build using the host tools.
106 ## ${target_configdirs} is directories we build using the target tools.
107 #
108 configdirs=`echo ${host_libs} ${host_tools}`
109 target_configdirs=`echo ${target_libs} ${target_tools}`
110
111 ################################################################################
112
113 srctrigger=move-if-change
114 srcname="gnu development package"
115
116 # This gets set non-empty for some net releases of packages.
117 appdirs=""
118
119 # per-host:
120
121 # Work in distributions that contain no compiler tools, like Autoconf.
122 tentative_cc=""
123 if [ -d ${srcdir}/config ]; then
124 case "${host}" in
125 m68k-hp-hpux*)
126 # Avoid "too much defining" errors from HPUX compiler.
127 tentative_cc="cc -Wp,-H256000"
128 host_makefile_frag="${host_makefile_frag} config/mh-hp300"
129 ;;
130 m68k-apollo-sysv*)
131 tentative_cc="cc -A ansi -A runtype,any -A systype,any -U__STDC__ -DUSG"
132 host_makefile_frag="${host_makefile_frag} config/mh-apollo68"
133 ;;
134 m68k-apollo-bsd*)
135 #None of the Apollo compilers can compile gas or binutils. The preprocessor
136 # chokes on bfd, the compiler won't let you assign integers to enums, and
137 # other problems. Defining CC to gcc is a questionable way to say "don't use
138 # the apollo compiler" (the preferred version of GCC could be called cc,
139 # or whatever), but I'm not sure leaving CC as cc is any better...
140 #CC=cc -A ansi -A runtype,any -A systype,any -U__STDC__ -DNO_STDARG
141 tentative_cc=gcc
142 host_makefile_frag="${host_makefile_frag} config/mh-a68bsd"
143 ;;
144 m88k-dg-dgux*)
145 tentative_cc="gcc -Wall -ansi -D__using_DGUX"
146 host_makefile_frag="${host_makefile_frag} config/mh-dgux"
147 ;;
148 m88k-harris-cxux*)
149 # Under CX/UX, we want to tell the compiler to use ANSI mode.
150 tentative_cc="cc -Xa"
151 host_makefile_frag="${host_makefile_frag} config/mh-cxux"
152 ;;
153 m88k-motorola-sysv*)
154 host_makefile_frag="${host_makefile_frag} config/mh-delta88"
155 ;;
156 mips*-dec-ultrix*)
157 tentative_cc="cc -Wf,-XNg1000"
158 host_makefile_frag="${host_makefile_frag} config/mh-decstation"
159 ;;
160 mips*-nec-sysv4*)
161 # The C compiler on NEC MIPS SVR4 needs bigger tables.
162 tentative_cc="cc -ZXNd=5000 -ZXNg=1000"
163 host_makefile_frag="${host_makefile_frag} config/mh-necv4"
164 ;;
165 mips*-sgi-irix6*)
166 host_makefile_frag="${host_makefile_frag} config/mh-irix6"
167 ;;
168 mips*-sgi-irix5*)
169 host_makefile_frag="${host_makefile_frag} config/mh-irix5"
170 ;;
171 mips*-sgi-irix4*)
172 # Tell compiler to use K&R C. We can't compile under the SGI Ansi
173 # environment. Also bump switch table size so that cp-parse will
174 # compile. Bump string length limit so linker builds.
175 tentative_cc="cc -cckr -Wf,-XNg1500 -Wf,-XNk1000 -Wf,-XNh2000 -Wf,-XNl8192"
176 host_makefile_frag="${host_makefile_frag} config/mh-irix4"
177 ;;
178 mips*-sgi-irix3*)
179 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
180 ;;
181 mips*-*-sysv4*)
182 host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
183 ;;
184 mips*-*-sysv*)
185 # This is for a MIPS running RISC/os 4.52C.
186
187 # This is needed for GDB, but needs to be in the top-level make because
188 # if a library is compiled with the bsd headers and gets linked with the
189 # sysv system libraries all hell can break loose (e.g. a jmp_buf might be
190 # a different size).
191 # ptrace(2) apparently has problems in the BSD environment. No workaround is
192 # known except to select the sysv environment. Could we use /proc instead?
193 # These "sysv environments" and "bsd environments" often end up being a pain.
194 #
195 # This is not part of CFLAGS because perhaps not all C compilers have this
196 # option.
197 tentative_cc="cc -systype sysv"
198 host_makefile_frag="${host_makefile_frag} config/mh-riscos"
199 ;;
200 i370-ibm-opened*)
201 tentative_cc="c89"
202 host_makefile_frag="${host_makefile_frag} config/mh-openedition"
203 ;;
204 i[3456]86-*-sysv5*)
205 host_makefile_frag="${host_makefile_frag} config/mh-sysv5"
206 ;;
207 i[3456]86-*-dgux*)
208 tentative_cc="gcc -Wall -ansi -D__using_DGUX"
209 host_makefile_frag="${host_makefile_frag} config/mh-dgux386"
210 ;;
211 i[3456]86-ncr-sysv4.3*)
212 # The MetaWare compiler will generate a copyright message unless you
213 # turn it off by adding the -Hnocopyr flag.
214 tentative_cc="cc -Hnocopyr"
215 host_makefile_frag="${host_makefile_frag} config/mh-ncrsvr43"
216 ;;
217 i[3456]86-ncr-sysv4*)
218 # for an NCR 3000 (i486/SVR4) system.
219 # The NCR 3000 ships with a MetaWare compiler installed as /bin/cc.
220 # This compiler not only emits obnoxious copyright messages every time
221 # you run it, but it chokes and dies on a whole bunch of GNU source
222 # files. Default to using the AT&T compiler installed in /usr/ccs/ATT/cc.
223 tentative_cc="/usr/ccs/ATT/cc"
224 host_makefile_frag="${host_makefile_frag} config/mh-ncr3000"
225 ;;
226 i[3456]86-*-sco3.2v5*)
227 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
228 ;;
229 i[3456]86-*-sco*)
230 # The native C compiler botches some simple uses of const. Unfortunately,
231 # it doesn't defined anything like "__sco__" for us to test for in ansidecl.h.
232 tentative_cc="cc -Dconst="
233 host_makefile_frag="${host_makefile_frag} config/mh-sco"
234 ;;
235 i[3456]86-*-udk*)
236 host_makefile_frag="${host_makefile_frag} config/mh-sysv5"
237 ;;
238 i[3456]86-*-isc*)
239 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
240 ;;
241 i[3456]86-*-solaris2*)
242 host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
243 ;;
244 i[3456]86-*-aix*)
245 host_makefile_frag="${host_makefile_frag} config/mh-aix386"
246 ;;
247 i[3456]86-*-msdosdjgpp*)
248 host_makefile_frag="${host_makefile_frag} config/mh-djgpp"
249 ;;
250 *-cygwin*)
251 host_makefile_frag="${host_makefile_frag} config/mh-cygwin"
252 ;;
253 *-mingw32*)
254 host_makefile_frag="${host_makefile_frag} config/mh-mingw32"
255 ;;
256 *-interix*)
257 host_makefile_frag="${host_makefile_frag} config/mh-interix"
258 ;;
259 *-windows*)
260 host_makefile_frag="${host_makefile_frag} config/mh-windows"
261 ;;
262 vax-*-ultrix2*)
263 # The old BSD pcc isn't up to compiling parts of gdb so use gcc
264 tentative_cc=gcc
265 ;;
266 *-*-solaris2*)
267 host_makefile_frag="${host_makefile_frag} config/mh-solaris"
268 ;;
269 m68k-sun-sunos*)
270 # Sun's C compiler needs the -J flag to be able to compile cp-parse.c
271 # without overflowing the jump tables (-J says to use a 32 bit table)
272 tentative_cc="cc -J"
273 ;;
274 *-hp-hpux[78]*)
275 tentative_cc="cc -Wp,-H256000"
276 host_makefile_frag="${host_makefile_frag} config/mh-hpux8"
277 ;;
278 *-hp-hpux*)
279 tentative_cc="cc -Wp,-H256000"
280 host_makefile_frag="${host_makefile_frag} config/mh-hpux"
281 ;;
282 *-*-hiux*)
283 tentative_cc="cc -Wp,-H256000"
284 host_makefile_frag="${host_makefile_frag} config/mh-hpux"
285 ;;
286 rs6000-*-lynxos*)
287 # /bin/cc is less than useful for our purposes. Always use GCC
288 tentative_cc="/usr/cygnus/progressive/bin/gcc"
289 host_makefile_frag="${host_makefile_frag} config/mh-lynxrs6k"
290 ;;
291 *-*-lynxos*)
292 # /bin/cc is less than useful for our purposes. Always use GCC
293 tentative_cc="/bin/gcc"
294 ;;
295 *-*-sysv4*)
296 host_makefile_frag="${host_makefile_frag} config/mh-sysv4"
297 ;;
298 *-*-sysv*)
299 host_makefile_frag="${host_makefile_frag} config/mh-sysv"
300 ;;
301 esac
302 fi
303
304 # If we aren't going to be using gcc, see if we can extract a definition
305 # of CC from the fragment.
306 # Actually, use the 'pre-extracted' version above.
307 if [ -z "${CC}" ] && [ "${build}" = "${host}" ]; then
308 IFS="${IFS= }"; save_ifs="$IFS"; IFS="${IFS}:"
309 found=
310 for dir in $PATH; do
311 test -z "$dir" && dir=.
312 if test -f $dir/gcc; then
313 found=yes
314 break
315 fi
316 done
317 IFS="$save_ifs"
318 if [ -z "${found}" ] && [ -n "${tentative_cc}" ] ; then
319 CC=$tentative_cc
320 fi
321 fi
322
323 # We default to --with-shared on platforms where -fpic is meaningless.
324 # Well, we don't yet, but we will.
325 if false && [ "${host}" = "${target}" ] && [ x${enable_shared} = x ]; then
326 case "${target}" in
327 alpha*-dec-osf*) enable_shared=yes ;;
328 alpha*-*-linux*) enable_shared=yes ;;
329 mips-sgi-irix5*) enable_shared=yes ;;
330 *) enable_shared=no ;;
331 esac
332 fi
333
334 # hpux11 in 64bit mode has libraries in a weird place. Arrange to find
335 # them automatically.
336 case "${host}" in
337 hppa*64*-*-hpux11*)
338 withoptions="$withoptions -x-libraries=/usr/lib/pa20_64 -x-includes=/usr/X11R6/include"
339 ;;
340 esac
341
342 case "${enable_shared}" in
343 yes) shared=yes ;;
344 no) shared=no ;;
345 "") shared=no ;;
346 *) shared=yes ;;
347 esac
348
349 if [ x${shared} = xyes ]; then
350 case "${host}" in
351 alpha*-*-linux*)
352 host_makefile_frag="${host_makefile_frag} config/mh-elfalphapic"
353 ;;
354 arm*-*-*)
355 host_makefile_frag="${host_makefile_frag} config/mh-armpic"
356 ;;
357 parisc*-*-* | hppa*-*-*)
358 host_makefile_frag="${host_makefile_frag} config/mh-papic"
359 ;;
360 i[3456]86-*-cygwin*)
361 # We don't want -fPIC on Cygwin.
362 ;;
363 i[3456]86-*-*)
364 host_makefile_frag="${host_makefile_frag} config/mh-x86pic"
365 ;;
366 i370-*-*)
367 host_makefile_frag="${host_makefile_frag} config/mh-i370pic"
368 ;;
369 ia64-*-*)
370 host_makefile_frag="${host_makefile_frag} config/mh-ia64pic"
371 ;;
372 sparc64-*-*)
373 host_makefile_frag="${host_makefile_frag} config/mh-sparcpic"
374 ;;
375 powerpc*-*-aix*)
376 # We don't want -fPIC on AIX.
377 ;;
378 powerpc*-*-*)
379 host_makefile_frag="${host_makefile_frag} config/mh-ppcpic"
380 ;;
381 s390-* | s390x-*)
382 host_makefile_frag="${host_makefile_frag} config/mh-s390pic"
383 ;;
384 *-*-*)
385 if test -f ${srcdir}/config/mh-${host_cpu}pic; then
386 host_makefile_frag="${host_makefile_frag} config/mh-${host_cpu}pic"
387 fi
388 ;;
389 esac
390 fi
391
392 rm -f mh-frag
393 if [ -n "${host_makefile_frag}" ] ; then
394 for f in ${host_makefile_frag}
395 do
396 cat ${srcdir}/$f >> mh-frag
397 done
398 host_makefile_frag=mh-frag
399 fi
400
401 # per-target:
402
403 case "${target}" in
404 v810*)
405 target_makefile_frag="${target_makefile_frag} config/mt-v810"
406 ;;
407 i[3456]86-*-netware*)
408 target_makefile_frag="${target_makefile_frag} config/mt-netware"
409 ;;
410 powerpc-*-netware*)
411 target_makefile_frag="${target_makefile_frag} config/mt-netware"
412 ;;
413 alpha*-*-linux*)
414 target_makefile_frag="${target_makefile_frag} config/mt-linux"
415 target_makefile_frag="${target_makefile_frag} config/mt-alphaieee"
416 ;;
417 alpha*-*-*)
418 target_makefile_frag="${target_makefile_frag} config/mt-alphaieee"
419 ;;
420 *-*-linux*)
421 target_makefile_frag="${target_makefile_frag} config/mt-linux"
422 ;;
423 *-*-aix4.[3456789]* | *-*-aix[56789].*)
424 target_makefile_frag="${target_makefile_frag} config/mt-aix43"
425 ;;
426 mips*-*-pe | sh*-*-pe | *arm-wince-pe)
427 target_makefile_frag="${target_makefile_frag} config/mt-wince"
428 ;;
429 esac
430
431 # If --enable-target-optspace always use -Os instead of -O2 to build
432 # the target libraries, similarly if it is not specified, use -Os
433 # on selected platforms.
434 case "${enable_target_optspace}:${target}" in
435 yes:*)
436 target_makefile_frag="${target_makefile_frag} config/mt-ospace"
437 ;;
438 :d30v-*)
439 target_makefile_frag="${target_makefile_frag} config/mt-d30v"
440 ;;
441 :m32r-* | :d10v-* | :fr30-*)
442 target_makefile_frag="${target_makefile_frag} config/mt-ospace"
443 ;;
444 no:* | :*)
445 ;;
446 *)
447 echo "*** bad value \"${enable_target_optspace}\" for --enable-target-optspace flag; ignored" 1>&2
448 ;;
449 esac
450
451 skipdirs=
452 gasdir=gas
453 use_gnu_ld=
454 use_gnu_as=
455
456 # some tools are so dependent upon X11 that if we're not building with X,
457 # it's not even worth trying to configure, much less build, that tool.
458
459 case ${with_x} in
460 yes | "") # the default value for this tree is that X11 is available
461 ;;
462 no)
463 skipdirs="${skipdirs} tk libgui gash"
464 ;;
465 *)
466 echo "*** bad value \"${with_x}\" for -with-x flag; ignored" 1>&2
467 ;;
468 esac
469
470 # Some tools are only suitable for building in a "native" situation.
471 # Those are added when we have a host==target configuration. For cross
472 # toolchains, we add some directories that should only be useful in a
473 # cross-compiler.
474
475 is_cross_compiler=
476
477 if [ x"${host}" = x"${target}" ] ; then
478 # when doing a native toolchain, don't build the targets
479 # that are in the 'cross only' list
480 skipdirs="${skipdirs} ${cross_only}"
481 is_cross_compiler=no
482 else
483 # similarly, don't build the targets in the 'native only'
484 # list when building a cross compiler
485 skipdirs="${skipdirs} ${native_only}"
486 is_cross_compiler=yes
487 fi
488
489 # We always want to use the same name for this directory, so that dejagnu
490 # can reliably find it.
491 target_subdir=${target_alias}
492
493 if [ ! -d ${target_subdir} ] ; then
494 if mkdir ${target_subdir} ; then true
495 else
496 echo "'*** could not make ${PWD=`pwd`}/${target_subdir}" 1>&2
497 exit 1
498 fi
499 fi
500
501 build_subdir=${build_alias}
502
503 if [ x"${build_alias}" != x"${host}" ] ; then
504 if [ ! -d ${build_subdir} ] ; then
505 if mkdir ${build_subdir} ; then true
506 else
507 echo "'*** could not make ${PWD=`pwd`}/${build_subdir}" 1>&2
508 exit 1
509 fi
510 fi
511 fi
512
513 copy_dirs=
514
515 # Handle --with-headers=XXX. The contents of the named directory are
516 # copied to $(tooldir)/sys-include.
517 if [ x"${with_headers}" != x ]; then
518 if [ x${is_cross_compiler} = xno ]; then
519 echo 1>&2 '***' --with-headers is only supported when cross compiling
520 exit 1
521 fi
522 case "${exec_prefixoption}" in
523 "") x=${prefix} ;;
524 *) x=${exec_prefix} ;;
525 esac
526 copy_dirs="${copy_dirs} ${with_headers} $x/${target_alias}/sys-include"
527 fi
528
529 # Handle --with-libs=XXX. Multiple directories are permitted. The
530 # contents are copied to $(tooldir)/lib.
531 if [ x"${with_libs}" != x ]; then
532 if [ x${is_cross_compiler} = xno ]; then
533 echo 1>&2 '***' --with-libs is only supported when cross compiling
534 exit 1
535 fi
536 # Copy the libraries in reverse order, so that files in the first named
537 # library override files in subsequent libraries.
538 case "${exec_prefixoption}" in
539 "") x=${prefix} ;;
540 *) x=${exec_prefix} ;;
541 esac
542 for l in ${with_libs}; do
543 copy_dirs="$l $x/${target_alias}/lib ${copy_dirs}"
544 done
545 fi
546
547 # If both --with-headers and --with-libs are specified, default to
548 # --without-newlib.
549 if [ x"${with_headers}" != x ] && [ x"${with_libs}" != x ]; then
550 if [ x"${with_newlib}" = x ]; then
551 with_newlib=no
552 fi
553 fi
554
555 # Recognize --with-newlib/--without-newlib.
556 if [ x${with_newlib} = xno ]; then
557 skipdirs="${skipdirs} target-newlib"
558 elif [ x${with_newlib} = xyes ]; then
559 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
560 fi
561
562 # Default to using --with-stabs for certain targets.
563 if [ x${with_stabs} = x ]; then
564 case "${target}" in
565 mips*-*-irix6*)
566 ;;
567 mips*-*-* | alpha*-*-osf*)
568 with_stabs=yes;
569 withoptions="${withoptions} --with-stabs"
570 ;;
571 esac
572 fi
573
574 # Handle ${copy_dirs}
575 set fnord ${copy_dirs}
576 shift
577 while [ $# != 0 ]; do
578 if [ -f $2/COPIED ] && [ x"`cat $2/COPIED`" = x"$1" ]; then
579 :
580 else
581 echo Copying $1 to $2
582
583 # Use the install script to create the directory and all required
584 # parent directories.
585 if [ -d $2 ]; then
586 :
587 else
588 echo >config.temp
589 ${srcdir}/install-sh -c -m 644 config.temp $2/COPIED
590 fi
591
592 # Copy the directory, assuming we have tar.
593 # FIXME: Should we use B in the second tar? Not all systems support it.
594 (cd $1; tar -cf - .) | (cd $2; tar -xpf -)
595
596 # It is the responsibility of the user to correctly adjust all
597 # symlinks. If somebody can figure out how to handle them correctly
598 # here, feel free to add the code.
599
600 echo $1 > $2/COPIED
601 fi
602 shift; shift
603 done
604
605 # Configure extra directories which are host specific
606
607 case "${host}" in
608 i[3456]86-*-go32*)
609 configdirs="$configdirs dosrel" ;;
610 i[3456]86-*-mingw32*)
611 configdirs="$configdirs dosrel" ;;
612 *-cygwin*)
613 configdirs="$configdirs libtermcap dosrel" ;;
614 esac
615
616 # Remove more programs from consideration, based on the host or
617 # target this usually means that a port of the program doesn't
618 # exist yet.
619
620 noconfigdirs=""
621
622 case "${host}" in
623 hppa*64*-*-*)
624 noconfigdirs="$noconfigdirs byacc"
625 ;;
626 i[3456]86-*-vsta)
627 noconfigdirs="tcl expect dejagnu make texinfo bison patch flex byacc send-pr gprof uudecode dejagnu diff guile perl apache inet itcl tix db snavigator gnuserv gettext"
628 ;;
629 i[3456]86-*-go32* | i[3456]86-*-msdosdjgpp*)
630 noconfigdirs="tcl tk expect dejagnu send-pr uudecode guile apache inet itcl tix db snavigator gnuserv libffi"
631 ;;
632 i[3456]86-*-mingw32*)
633 # noconfigdirs="tcl tk expect dejagnu make texinfo bison patch flex byacc send-pr uudecode dejagnu diff guile perl apache inet itcl tix db snavigator gnuserv"
634 noconfigdirs="expect dejagnu cvs autoconf automake send-pr rcs guile perl texinfo apache inet libtool"
635 ;;
636 i[3456]86-*-beos*)
637 noconfigdirs="$noconfigdirs tk itcl tix libgui gdb"
638 ;;
639 *-*-cygwin*)
640 noconfigdirs="autoconf automake send-pr rcs guile perl apache inet"
641 ;;
642 *-*-netbsd*)
643 noconfigdirs="rcs"
644 ;;
645 ppc*-*-pe)
646 noconfigdirs="patch diff make tk tcl expect dejagnu cvssrc autoconf automake texinfo bison send-pr gprof rcs guile perl apache inet itcl tix db snavigator gnuserv"
647 ;;
648 powerpc-*-beos*)
649 noconfigdirs="$noconfigdirs tk itcl tix libgui gdb dejagnu readline"
650 ;;
651 esac
652
653 # Save it here so that, even in case of --enable-libgcj, if the Java
654 # front-end isn't enabled, we still get libgcj disabled.
655 libgcj_saved=$libgcj
656 case $enable_libgcj in
657 yes)
658 # If we reset it here, it won't get added to noconfigdirs in the
659 # target-specific build rules, so it will be forcibly enabled
660 # (unless the Java language itself isn't enabled).
661 libgcj=
662 ;;
663 no)
664 # Make sure we get it printed in the list of not supported target libs.
665 noconfigdirs="$noconfigdirs ${libgcj}"
666 ;;
667 esac
668
669 case "${target}" in
670 *-*-chorusos)
671 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
672 ;;
673 *-*-freebsd[12] | *-*-freebsd[12].* | *-*-freebsd*aout*)
674 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
675 ;;
676 *-*-netbsd*)
677 # Skip some stuff on all NetBSD configurations.
678 skipdirs="$skipdirs target-newlib target-libiberty target-libgloss"
679
680 # Skip some stuff that's unsupported on some NetBSD configurations.
681 case "${target}" in
682 i*86-*-netbsdelf*) ;;
683 *)
684 noconfigdirs="$noconfigdirs ${libgcj}"
685 ;;
686 esac
687 ;;
688 *-*-netware)
689 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-newlib target-libiberty target-libgloss ${libgcj}"
690 ;;
691 *-*-rtems*)
692 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
693 ;;
694 *-*-vxworks*)
695 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
696 ;;
697 alpha*-dec-osf*)
698 # ld works, but does not support shared libraries. emacs doesn't
699 # work. newlib is not 64 bit ready. I'm not sure about fileutils.
700 # gas doesn't generate exception information.
701 noconfigdirs="$noconfigdirs gas ld emacs fileutils target-newlib target-libgloss"
702 ;;
703 alpha*-*-*vms*)
704 noconfigdirs="$noconfigdirs gdb ld target-newlib target-libgloss ${libgcj}"
705 ;;
706 alpha*-*-linux*)
707 # newlib is not 64 bit ready
708 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
709 # linux has rx in libc
710 skipdirs="$skipdirs target-librx"
711 ;;
712 alpha*-*-freebsd*)
713 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
714 ;;
715 alpha*-*-*)
716 # newlib is not 64 bit ready
717 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
718 ;;
719 sh-*-linux*)
720 noconfigdirs="$noconfigdirs ${libgcj} target-newlib target-libgloss"
721 # linux has rx in libc
722 skipdirs="$skipdirs target-librx"
723 ;;
724 sh*-*-pe|mips*-*-pe|*arm-wince-pe)
725 noconfigdirs="$noconfigdirs ${libgcj}"
726 noconfigdirs="$noconfigdirs target-examples"
727 noconfigdirs="$noconfigdirs target-libiberty texinfo send-pr"
728 noconfigdirs="$noconfigdirs tcl tix tk itcl libgui sim"
729 noconfigdirs="$noconfigdirs expect dejagnu"
730 # the C++ libraries don't build on top of CE's C libraries
731 noconfigdirs="$noconfigdirs ${libstdcxx_version}"
732 skipdirs="$skipdirs target-newlib"
733 case "${host}" in
734 *-*-cygwin*) ;; # keep gdb and readline
735 *) noconfigdirs="$noconfigdirs gdb readline ${libstdcxx_version}"
736 ;;
737 esac
738 ;;
739 arc-*-*)
740 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
741 ;;
742 arm-*-pe*)
743 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
744 ;;
745 arm-*-oabi*)
746 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
747 ;;
748 thumb-*-coff)
749 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
750 ;;
751 thumb-*-elf)
752 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
753 ;;
754 thumb-*-oabi)
755 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
756 ;;
757 strongarm-*-elf)
758 noconfigdirs="$noconfigdirs ${libgcj}"
759 ;;
760 strongarm-*-coff)
761 noconfigdirs="$noconfigdirs ${libgcj}"
762 ;;
763 xscale-*-elf)
764 noconfigdirs="$noconfigdirs target-libffi target-qthreads"
765 ;;
766 xscale-*-coff)
767 noconfigdirs="$noconfigdirs ${libgcj}"
768 ;;
769 thumb-*-pe)
770 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
771 ;;
772 arm-*-riscix*)
773 noconfigdirs="$noconfigdirs ld target-libgloss ${libgcj}"
774 ;;
775 c4x-*-*)
776 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-libgloss ${libgcj}"
777 ;;
778 c54x*-*-* | tic54x-*-*)
779 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-libgloss ${libgcj} gcc gdb newlib"
780 ;;
781 cris-*-*)
782 noconfigdirs="$noconfigdirs ${libgcj}"
783 ;;
784 d10v-*-*)
785 noconfigdirs="$noconfigdirs target-librx ${libstdcxx_version} target-libgloss ${libgcj}"
786 ;;
787 d30v-*-*)
788 noconfigdirs="$noconfigdirs ${libgcj}"
789 ;;
790 fr30-*-elf*)
791 noconfigdirs="$noconfigdirs ${libgcj}"
792 if [ x${is_cross_compiler} != xno ] ; then
793 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
794 fi
795 ;;
796 h8300*-*-*)
797 noconfigdirs="$noconfigdirs target-libgloss"
798 ;;
799 h8500-*-*)
800 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-libgloss ${libgcj} target-libf2c"
801 ;;
802 hppa*64*-*-linux* | parisc*64*-*-linux*)
803 # In this case, it's because the hppa64-linux target is for
804 # the kernel only at this point and has no libc, and thus no
805 # headers, crt*.o, etc., all of which are needed by these.
806 noconfigdirs="$noconfigdirs target-zlib"
807 ;;
808 hppa*-*-*elf* | \
809 parisc*-*-linux* | hppa*-*-linux* | \
810 hppa*-*-lites* | \
811 hppa*64*-*-*)
812 noconfigdirs="$noconfigdirs ${libgcj}"
813 # Do configure ld/binutils/gas for this case.
814 ;;
815 hppa*-*-*)
816 # HP's C compiler doesn't handle Emacs correctly (but on BSD and Mach
817 # cc is gcc, and on any system a user should be able to link cc to
818 # whatever they want. FIXME, emacs emacs19).
819 case "${CC}" in
820 "" | cc*) noconfigdirs="$noconfigdirs emacs emacs19" ;;
821 *) ;;
822 esac
823 # According to Alexandre Oliva <aoliva@redhat.com>, libjava won't
824 # build on HP-UX 10.20.
825 noconfigdirs="$noconfigdirs ld shellutils ${libgcj}"
826 ;;
827 ia64*-*-elf*)
828 # No gdb support yet.
829 noconfigdirs="$noconfigdirs tix readline mmalloc libgui itcl gdb"
830 ;;
831 ia64*-**-hpux*)
832 # No gdb or ld support yet.
833 noconfigdirs="$noconfigdirs tix readline mmalloc libgui itcl gdb ld"
834 ;;
835 i[3456]86-*-coff | i[3456]86-*-elf)
836 noconfigdirs="$noconfigdirs ${libgcj}"
837 if [ x${is_cross_compiler} != xno ] ; then
838 target_configdirs="${target_configdirs} target-libstub target-cygmon"
839 fi
840 ;;
841 i[34567]86-*-freebsd*)
842 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
843 ;;
844 *-*-linux*)
845 noconfigdirs="$noconfigdirs target-newlib target-libgloss"
846 # linux has rx in libc
847 skipdirs="$skipdirs target-librx"
848 ;;
849 i[3456]86-*-mingw32*)
850 target_configdirs="$target_configdirs target-mingw"
851 noconfigdirs="$noconfigdirs expect target-libgloss ${libgcj}"
852
853 # Can't build gdb for mingw32 if not native.
854 case "${host}" in
855 i[3456]86-*-mingw32) ;; # keep gdb tcl tk expect etc.
856 *) noconfigdirs="$noconfigdirs gdb tcl tk expect itcl tix db snavigator gnuserv"
857 ;;
858 esac
859 ;;
860 *-*-cygwin*)
861 target_configdirs="$target_configdirs target-libtermcap target-winsup"
862 noconfigdirs="$noconfigdirs target-gperf target-libgloss ${libgcj}"
863 # always build newlib.
864 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
865
866 # Can't build gdb for Cygwin if not native.
867 case "${host}" in
868 *-*-cygwin*) ;; # keep gdb tcl tk expect etc.
869 *) noconfigdirs="$noconfigdirs gdb tcl tk expect itcl tix libgui db snavigator gnuserv"
870 ;;
871 esac
872 ;;
873 i[3456]86-*-pe)
874 noconfigdirs="$noconfigdirs ${libstdcxx_version} target-librx target-libgloss ${libgcj}"
875 ;;
876 i[3456]86-*-sco3.2v5*)
877 # The linker does not yet know about weak symbols in COFF,
878 # and is not configured to handle mixed ELF and COFF.
879 noconfigdirs="$noconfigdirs ld target-libgloss ${libgcj}"
880 ;;
881 i[3456]86-*-sco*)
882 noconfigdirs="$noconfigdirs gprof target-libgloss ${libgcj}"
883 ;;
884 i[3456]86-*-solaris2*)
885 noconfigdirs="$noconfigdirs target-libgloss"
886 ;;
887 i[3456]86-*-sysv4*)
888 # The SYSV4 C compiler doesn't handle Emacs correctly
889 case "${CC}" in
890 "" | cc*) noconfigdirs="$noconfigdirs emacs emacs19" ;;
891 *) ;;
892 esac
893 # but that's okay since emacs doesn't work anyway
894 noconfigdirs="$noconfigdirs emacs emacs19 target-libgloss ${libgcj}"
895 ;;
896 i[3456]86-*-beos*)
897 noconfigdirs="$noconfigdirs gdb target-newlib target-libgloss ${libgcj}"
898 ;;
899 m68hc11-*-*|m6811-*-*|m68hc12-*-*|m6812-*-*)
900 noconfigdirs="$noconfigdirs target-libiberty ${libstdcxx_version} ${libgcj}"
901 ;;
902 m68k-*-elf*)
903 noconfigdirs="$noconfigdirs ${libgcj}"
904 if [ x${is_cross_compiler} != xno ] ; then
905 target_configdirs="${target_configdirs} target-bsp target-cygmon"
906 fi
907 ;;
908 m68k-*-coff*)
909 noconfigdirs="$noconfigdirs ${libgcj}"
910 if [ x${is_cross_compiler} != xno ] ; then
911 target_configdirs="${target_configdirs} target-bsp target-cygmon"
912 fi
913 ;;
914 mcore-*-pe*)
915 # The EPOC C++ environment does not support exceptions or rtti,
916 # and so building libstdc++-v3 tends not to always work.
917 noconfigdirs="$noconfigdirs target-libstdc++-v3"
918 ;;
919 mmix-*-*)
920 noconfigdirs="$noconfigdirs ${libgcj}"
921 ;;
922 mn10200-*-*)
923 noconfigdirs="$noconfigdirs ${libgcj}"
924 if [ x${is_cross_compiler} != xno ] ; then
925 target_configdirs="${target_configdirs} target-libstub target-cygmon"
926 fi
927 ;;
928 mn10300-*-*)
929 noconfigdirs="$noconfigdirs ${libgcj}"
930 if [ x${is_cross_compiler} != xno ] ; then
931 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
932 fi
933 ;;
934 powerpc-*-aix*)
935 # copied from rs6000-*-* entry
936 noconfigdirs="$noconfigdirs gprof cvssrc target-libgloss ${libgcj}"
937 use_gnu_ld=yes
938 ;;
939 powerpc*-*-winnt* | powerpc*-*-pe* | ppc*-*-pe)
940 target_configdirs="$target_configdirs target-winsup"
941 noconfigdirs="$noconfigdirs gdb tcl tk make expect target-libgloss itcl tix db snavigator gnuserv ${libgcj}"
942 # always build newlib.
943 skipdirs=`echo " ${skipdirs} " | sed -e 's/ target-newlib / /'`
944 ;;
945 # This is temporary until we can link against shared libraries
946 powerpcle-*-solaris*)
947 noconfigdirs="$noconfigdirs gdb sim make tcl tk expect itcl tix db snavigator gnuserv ${libgcj}"
948 ;;
949 powerpc-*-beos*)
950 noconfigdirs="$noconfigdirs gdb target-newlib target-libgloss ${libgcj}"
951 ;;
952 powerpc-*-eabi)
953 noconfigdirs="$noconfigdirs ${libgcj}"
954 if [ x${is_cross_compiler} != xno ] ; then
955 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
956 fi
957 ;;
958 rs6000-*-lynxos*)
959 # The CVS server code doesn't work on the RS/6000
960 noconfigdirs="$noconfigdirs target-newlib gprof cvssrc ${libgcj}"
961 ;;
962 rs6000-*-aix*)
963 noconfigdirs="$noconfigdirs gprof ${libgcj}"
964 use_gnu_ld=yes
965 ;;
966 rs6000-*-*)
967 noconfigdirs="$noconfigdirs gprof ${libgcj}"
968 ;;
969 m68k-apollo-*)
970 noconfigdirs="$noconfigdirs ld binutils gprof target-libgloss ${libgcj}"
971 ;;
972 mips*-*-irix5*)
973 # The GNU linker does not support shared libraries.
974 # emacs is emacs 18, which does not work on Irix 5 (emacs19 does work)
975 noconfigdirs="$noconfigdirs ld gprof emacs target-libgloss ${libgcj}"
976 ;;
977 mips*-*-irix6*)
978 # The GNU assembler does not support IRIX 6.
979 # emacs is emacs 18, which does not work on Irix 5 (emacs19 does work)
980 # Linking libjava exceeds command-line length limits on at least
981 # IRIX 6.2, but not on IRIX 6.5.
982 # Also, boehm-gc won't build on IRIX 6.5, according to Jeffrey Oldham
983 # <oldham@codesourcery.com>
984 noconfigdirs="$noconfigdirs gas gprof emacs target-libgloss ${libgcj}"
985 ;;
986 mips*-dec-bsd*)
987 noconfigdirs="$noconfigdirs gprof target-libgloss ${libgcj}"
988 ;;
989 mips*-*-bsd*)
990 noconfigdirs="$noconfigdirs gprof target-libgloss ${libgcj}"
991 ;;
992 mipstx39-*-*)
993 noconfigdirs="$noconfigdirs gprof ${libgcj}" # same as generic mips
994 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
995 ;;
996 mips*-*-linux*)
997 noconfigdirs="$noconfigdirs target-libffi"
998 ;;
999 mips*-*-*)
1000 noconfigdirs="$noconfigdirs gprof ${libgcj}"
1001 ;;
1002 romp-*-*)
1003 noconfigdirs="$noconfigdirs bfd binutils ld gas opcodes target-libgloss ${libgcj}"
1004 ;;
1005 sh-*-*)
1006 case "${host}" in
1007 i[3456]86-*-vsta) ;; # don't add gprof back in
1008 i[3456]86-*-go32*) ;; # don't add gprof back in
1009 i[3456]86-*-msdosdjgpp*) ;; # don't add gprof back in
1010 *) skipdirs=`echo " ${skipdirs} " | sed -e 's/ gprof / /'` ;;
1011 esac
1012 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
1013 ;;
1014 sh64-*-*)
1015 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
1016 ;;
1017 sparc-*-elf*)
1018 if [ x${is_cross_compiler} != xno ] ; then
1019 target_configdirs="${target_configdirs} target-libstub target-cygmon"
1020 fi
1021 ;;
1022 sparc64-*-elf*)
1023 if [ x${is_cross_compiler} != xno ] ; then
1024 target_configdirs="${target_configdirs} target-libstub target-cygmon"
1025 fi
1026 ;;
1027 sparclite-*-*)
1028 if [ x${is_cross_compiler} != xno ] ; then
1029 target_configdirs="${target_configdirs} target-bsp target-libstub target-cygmon"
1030 fi
1031 noconfigdirs="$noconfigdirs ${libgcj}"
1032 ;;
1033 sparc-*-sunos4*)
1034 noconfigdirs="$noconfigdirs ${libgcj}"
1035 if [ x${is_cross_compiler} != xno ] ; then
1036 noconfigdirs="$noconfigdirs gdb gdbtest target-newlib target-libgloss"
1037 else
1038 use_gnu_ld=no
1039 fi
1040 ;;
1041 sparc-*-solaris*)
1042 ;;
1043 v810-*-*)
1044 noconfigdirs="$noconfigdirs bfd binutils gas gcc gdb ld ${libstdcxx_version} opcodes target-libgloss ${libgcj}"
1045 ;;
1046 v850-*-*)
1047 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
1048 ;;
1049 v850e-*-*)
1050 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
1051 ;;
1052 v850ea-*-*)
1053 noconfigdirs="$noconfigdirs target-libgloss ${libgcj}"
1054 ;;
1055 vax-*-vms)
1056 noconfigdirs="$noconfigdirs bfd binutils gdb ld target-newlib opcodes target-libgloss ${libgcj}"
1057 ;;
1058 vax-*-*)
1059 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
1060 ;;
1061 *-*-lynxos*)
1062 noconfigdirs="$noconfigdirs target-newlib target-libgloss ${libgcj}"
1063 ;;
1064 *-*-macos* | \
1065 *-*-mpw*)
1066 # Macs want a resource compiler.
1067 configdirs="$configdirs grez"
1068 noconfigdirs="$noconfigdirs ${libgcj}"
1069 ;;
1070 *-*-*)
1071 noconfigdirs="$noconfigdirs ${libgcj}"
1072 ;;
1073 esac
1074
1075 # If we aren't building newlib, then don't build libgloss, since libgloss
1076 # depends upon some newlib header files.
1077 case "${noconfigdirs}" in
1078 *target-libgloss*) ;;
1079 *target-newlib*) noconfigdirs="$noconfigdirs target-libgloss" ;;
1080 esac
1081
1082 # Make sure we don't let GNU ld be added if we didn't want it.
1083 if [ x$with_gnu_ld = xno ]; then
1084 use_gnu_ld=no
1085 noconfigdirs="$noconfigdirs ld"
1086 fi
1087
1088 # Make sure we don't let GNU as be added if we didn't want it.
1089 if [ x$with_gnu_as = xno ]; then
1090 use_gnu_as=no
1091 noconfigdirs="$noconfigdirs gas"
1092 fi
1093
1094 # Figure out what language subdirectories are present.
1095 # Look if the user specified --enable-languages="..."; if not, use
1096 # the environment variable $LANGUAGES if defined. $LANGUAGES might
1097 # go away some day.
1098 # NB: embedded tabs in this IF block -- do not untabify
1099 if test x"${enable_languages+set}" != xset; then
1100 if test x"${LANGUAGES+set}" = xset; then
1101 enable_languages="${LANGUAGES}"
1102 echo configure.in: warning: setting LANGUAGES is deprecated, use --enable-languages instead 1>&2
1103 else
1104 enable_languages=all
1105 fi
1106 else
1107 if test x"${enable_languages}" = x ||
1108 test x"${enable_languages}" = xyes;
1109 then
1110 echo configure.in: --enable-languages needs at least one language argument 1>&2
1111 exit 1
1112 fi
1113 fi
1114 enable_languages=`echo "${enable_languages}" | sed -e 's/[ ,][ ,]*/,/g' -e 's/,$//'`
1115
1116 # First scan to see if an enabled language requires some other language.
1117 # We assume that a given config-lang.in will list all the language
1118 # front ends it requires, even if some are required indirectly.
1119 for lang in ${srcdir}/gcc/*/config-lang.in ..
1120 do
1121 case $lang in
1122 ..)
1123 ;;
1124 # The odd quoting in the next line works around
1125 # an apparent bug in bash 1.12 on linux.
1126 ${srcdir}/gcc/[*]/config-lang.in)
1127 ;;
1128 *)
1129 lang_alias=`sed -n -e 's,^language=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^language=\([^ ]*\).*$,\1,p' $lang`
1130 this_lang_requires=`sed -n -e 's,^lang_requires=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^lang_requires=\([^ ]*\).*$,\1,p' $lang`
1131 for other in $this_lang_requires
1132 do
1133 case ,${enable_languages}, in
1134 *,$other,*)
1135 ;;
1136 *,all,*)
1137 ;;
1138 *,$lang_alias,*)
1139 echo " \`$other' language required by \`$lang_alias'; enabling" 1>&2
1140 enable_languages="$enable_languages,$other"
1141 ;;
1142 esac
1143 done
1144 ;;
1145 esac
1146 done
1147
1148 subdirs=
1149 for lang in ${srcdir}/gcc/*/config-lang.in ..
1150 do
1151 case $lang in
1152 ..) ;;
1153 # The odd quoting in the next line works around
1154 # an apparent bug in bash 1.12 on linux.
1155 ${srcdir}/gcc/[*]/config-lang.in) ;;
1156 *)
1157 lang_alias=`sed -n -e 's,^language=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^language=\([^ ]*\).*$,\1,p' $lang`
1158 this_lang_libs=`sed -n -e 's,^target_libs=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^target_libs=\([^ ]*\).*$,\1,p' $lang`
1159 this_lang_dirs=`sed -n -e 's,^lang_dirs=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^lang_dirs=\([^ ]*\).*$,\1,p' $lang`
1160 build_by_default=`sed -n -e 's,^build_by_default=['"'"'"'"]\(.*\)["'"'"'"'].*$,\1,p' -e 's,^build_by_default=\([^ ]*\).*$,\1,p' $lang`
1161 if test "x$lang_alias" = x
1162 then
1163 echo "$lang doesn't set \$language." 1>&2
1164 exit 1
1165 fi
1166 case ${build_by_default},${enable_languages}, in
1167 *,$lang_alias,*) add_this_lang=yes ;;
1168 no,*) add_this_lang=no ;;
1169 *,all,*) add_this_lang=yes ;;
1170 *) add_this_lang=no ;;
1171 esac
1172 if test x"${add_this_lang}" = xyes; then
1173 eval target_libs='"$target_libs "'\"$this_lang_libs\"
1174 else
1175 eval noconfigdirs='"$noconfigdirs "'\"$this_lang_libs $this_lang_dirs\"
1176 fi
1177 ;;
1178 esac
1179 done
1180
1181 # Remove the entries in $skipdirs and $noconfigdirs from $configdirs and
1182 # $target_configdirs.
1183 # If we have the source for $noconfigdirs entries, add them to $notsupp.
1184
1185 notsupp=""
1186 for dir in . $skipdirs $noconfigdirs ; do
1187 dirname=`echo $dir | sed -e s/target-//g`
1188 if [ $dir != . ] && echo " ${configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1189 configdirs=`echo " ${configdirs} " | sed -e "s/ ${dir} / /"`
1190 if [ -r $srcdir/$dirname/configure ] \
1191 || [ -r $srcdir/$dirname/configure.in ]; then
1192 if echo " ${skipdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1193 true
1194 else
1195 notsupp="$notsupp $dir"
1196 fi
1197 fi
1198 fi
1199 if [ $dir != . ] && echo " ${target_configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1200 target_configdirs=`echo " ${target_configdirs} " | sed -e "s/ ${dir} / /"`
1201 if [ -r $srcdir/$dirname/configure ] \
1202 || [ -r $srcdir/$dirname/configure.in ]; then
1203 if echo " ${skipdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1204 true
1205 else
1206 notsupp="$notsupp $dir"
1207 fi
1208 fi
1209 fi
1210 done
1211
1212 # Sometimes the tools are distributed with libiberty but with no other
1213 # libraries. In that case, we don't want to build target-libiberty.
1214 if [ -n "${target_configdirs}" ]; then
1215 others=
1216 for i in `echo ${target_configdirs} | sed -e s/target-//g` ; do
1217 if [ "$i" != "libiberty" ]; then
1218 if [ -r $srcdir/$i/configure ] || [ -r $srcdir/$i/configure.in ]; then
1219 others=yes;
1220 break;
1221 fi
1222 fi
1223 done
1224 if [ -z "${others}" ]; then
1225 target_configdirs=
1226 fi
1227 fi
1228
1229 # Deconfigure all subdirectories, in case we are changing the
1230 # configuration from one where a subdirectory is supported to one where it
1231 # is not.
1232 if [ -z "${norecursion}" ] && [ -n "${configdirs}" ]; then
1233 for i in `echo ${configdirs} | sed -e s/target-//g` ; do
1234 rm -f $i/Makefile
1235 done
1236 fi
1237 if [ -z "${norecursion}" ] && [ -n "${target_configdirs}" ]; then
1238 for i in `echo ${target_configdirs} | sed -e s/target-//g` ; do
1239 rm -f ${target_subdir}/$i/Makefile
1240 done
1241 fi
1242
1243 # Quietly strip out all directories which aren't configurable in this tree.
1244 # This relies on all configurable subdirectories being autoconfiscated, which
1245 # is now the case.
1246 configdirs_all="$configdirs"
1247 configdirs=
1248 for i in ${configdirs_all} ; do
1249 if test -f ${srcdir}/$i/configure ; then
1250 configdirs="${configdirs} $i"
1251 fi
1252 done
1253 target_configdirs_all="$target_configdirs"
1254 target_configdirs=
1255 for i in ${target_configdirs_all} ; do
1256 j=`echo $i | sed -e s/target-//g`
1257 if test -f ${srcdir}/$j/configure ; then
1258 target_configdirs="${target_configdirs} $i"
1259 fi
1260 done
1261
1262 # Produce a warning message for the subdirs we can't configure.
1263 # This isn't especially interesting in the Cygnus tree, but in the individual
1264 # FSF releases, it's important to let people know when their machine isn't
1265 # supported by the one or two programs in a package.
1266
1267 if [ -n "${notsupp}" ] && [ -z "${norecursion}" ]; then
1268 # If $appdirs is non-empty, at least one of those directories must still
1269 # be configured, or we error out. (E.g., if the gas release supports a
1270 # specified target in some subdirs but not the gas subdir, we shouldn't
1271 # pretend that all is well.)
1272 if [ -n "$appdirs" ]; then
1273 for dir in $appdirs ; do
1274 if [ -r $dir/Makefile.in ]; then
1275 if echo " ${configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1276 appdirs=""
1277 break
1278 fi
1279 if echo " ${target_configdirs} " | grep " ${dir} " >/dev/null 2>&1; then
1280 appdirs=""
1281 break
1282 fi
1283 fi
1284 done
1285 if [ -n "$appdirs" ]; then
1286 echo "*** This configuration is not supported by this package." 1>&2
1287 exit 1
1288 fi
1289 fi
1290 # Okay, some application will build, or we don't care to check. Still
1291 # notify of subdirs not getting built.
1292 echo "*** This configuration is not supported in the following subdirectories:" 1>&2
1293 echo " ${notsupp}" 1>&2
1294 echo " (Any other directories should still work fine.)" 1>&2
1295 fi
1296
1297 # Set with_gnu_as and with_gnu_ld as appropriate.
1298 #
1299 # This is done by determining whether or not the appropriate directory
1300 # is available, and by checking whether or not specific configurations
1301 # have requested that this magic not happen.
1302 #
1303 # The command line options always override the explicit settings in
1304 # configure.in, and the settings in configure.in override this magic.
1305 #
1306 # If the default for a toolchain is to use GNU as and ld, and you don't
1307 # want to do that, then you should use the --without-gnu-as and
1308 # --without-gnu-ld options for the configure script.
1309
1310 if [ x${use_gnu_as} = x ] ; then
1311 if [ x${with_gnu_as} != xno ] && echo " ${configdirs} " | grep " ${gasdir} " > /dev/null 2>&1 && [ -d ${srcdir}/${gasdir} ] ; then
1312 with_gnu_as=yes
1313 withoptions="$withoptions --with-gnu-as"
1314 fi
1315 fi
1316
1317 if [ x${use_gnu_ld} = x ] ; then
1318 if [ x${with_gnu_ld} != xno ] && echo " ${configdirs} " | grep " ld " > /dev/null 2>&1 && [ -d ${srcdir}/ld ] ; then
1319 with_gnu_ld=yes
1320 withoptions="$withoptions --with-gnu-ld"
1321 fi
1322 fi
1323
1324 # If using newlib, add --with-newlib to the withoptions so that gcc/configure
1325 # can detect this case.
1326
1327 if [ x${with_newlib} != xno ] && echo " ${target_configdirs} " | grep " target-newlib " > /dev/null 2>&1 && [ -d ${srcdir}/newlib ] ; then
1328 with_newlib=yes
1329 withoptions="$withoptions --with-newlib"
1330 fi
1331
1332 if [ x${shared} = xyes ]; then
1333 case "${target}" in
1334 hppa* | parisc*)
1335 target_makefile_frag="${target_makefile_frag} config/mt-papic"
1336 ;;
1337 i[3456]86-*)
1338 target_makefile_frag="${target_makefile_frag} config/mt-x86pic"
1339 ;;
1340 ia64-*)
1341 target_makefile_frag="${target_makefile_frag} config/mt-ia64pic"
1342 ;;
1343 powerpc*-*-aix*)
1344 # We don't want -fPIC on AIX.
1345 ;;
1346 powerpc*-*)
1347 target_makefile_frag="${target_makefile_frag} config/mt-ppcpic"
1348 ;;
1349 alpha*-*-linux*)
1350 target_makefile_frag="${target_makefile_frag} config/mt-elfalphapic"
1351 ;;
1352 *)
1353 if test -f ${srcdir}/config/mt-${target_cpu}pic; then
1354 target_makefile_frag="${target_makefile_frag} config/mt-${target_cpu}pic"
1355 fi
1356 ;;
1357 esac
1358 fi
1359
1360 rm -f mt-frag
1361 if [ -n "${target_makefile_frag}" ] ; then
1362 for f in ${target_makefile_frag}
1363 do
1364 cat ${srcdir}/$f >> mt-frag
1365 done
1366 target_makefile_frag=mt-frag
1367 fi
1368
1369 # post-target:
1370
1371 # Make sure that the compiler is able to generate an executable. If it
1372 # can't, we are probably in trouble. We don't care whether we can run the
1373 # executable--we might be using a cross compiler--we only care whether it
1374 # can be created. At this point the main configure script has set CC.
1375 echo "int main () { return 0; }" > conftest.c
1376 ${CC} -o conftest ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} conftest.c
1377 if [ $? = 0 ] && [ -s conftest -o -s conftest.exe ]; then
1378 :
1379 else
1380 echo 1>&2 "*** The command '${CC} -o conftest ${CFLAGS} ${CPPFLAGS} ${LDFLAGS} conftest.c' failed."
1381 echo 1>&2 "*** You must set the environment variable CC to a working compiler."
1382 rm -f conftest*
1383 exit 1
1384 fi
1385 rm -f conftest*
1386
1387 # The Solaris /usr/ucb/cc compiler does not appear to work.
1388 case "${host}" in
1389 sparc-sun-solaris2*)
1390 CCBASE="`echo ${CC-cc} | sed 's/ .*$//'`"
1391 if [ "`type $CCBASE | sed 's/^[^/]*//'`" = "/usr/ucb/cc" ] ; then
1392 could_use=
1393 [ -d /opt/SUNWspro/bin ] && could_use="/opt/SUNWspro/bin"
1394 if [ -d /opt/cygnus/bin ] ; then
1395 if [ "$could_use" = "" ] ; then
1396 could_use="/opt/cygnus/bin"
1397 else
1398 could_use="$could_use or /opt/cygnus/bin"
1399 fi
1400 fi
1401 if [ "$could_use" = "" ] ; then
1402 echo "Warning: compilation may fail because you're using"
1403 echo "/usr/ucb/cc. You should change your PATH or CC "
1404 echo "variable and rerun configure."
1405 else
1406 echo "Warning: compilation may fail because you're using"
1407 echo "/usr/ucb/cc, when you should use the C compiler from"
1408 echo "$could_use. You should change your"
1409 echo "PATH or CC variable and rerun configure."
1410 fi
1411 fi
1412 ;;
1413 esac
1414
1415 # If we're building libgcj and we're using the Solaris 2.8 linker,
1416 # then we check for a known problem.
1417 if test "x${libgcj}" = x && test "${with_gnu_ld}" != yes \
1418 && test "${is_cross_compiler}" = no; then
1419
1420 case "${host}" in
1421 sparc-*-solaris2.8)
1422 if test "$libdir" = '${exec_prefix}/lib';then
1423 if test "$exec_prefix" = '$(prefix)'; then
1424 tlibdir="$prefix/lib"
1425 else
1426 tlibdir="$exec_prefix/lib"
1427 fi
1428 else
1429 tlibdir="$libdir"
1430 fi
1431 if test -f $tlibdir/libgcj.la; then
1432 echo "*** You've already installed libgcj in $tlibdir." 1>&2
1433 echo " This causes problems when rebuilding libgcj with the Solaris 2.8 linker." 1>&2
1434 echo " Either disable the libgcj build, or remove the" 1>&2
1435 echo " already-installed libgcj files." 1>&2
1436 exit 1
1437 fi
1438 ;;
1439 esac
1440 fi
1441
1442 # If --enable-shared was set, we must set LD_LIBRARY_PATH so that the
1443 # binutils tools will find libbfd.so.
1444 if [ "${shared}" = "yes" ]; then
1445 sed -e 's/^SET_LIB_PATH[ ]*=.*$/SET_LIB_PATH = $(REALLY_SET_LIB_PATH)/' \
1446 Makefile > Makefile.tem
1447 rm -f Makefile
1448 mv -f Makefile.tem Makefile
1449
1450 case "${host}" in
1451 *-*-hpux*)
1452 sed -e 's/^RPATH_ENVVAR[ ]*=.*$/RPATH_ENVVAR = SHLIB_PATH/' \
1453 Makefile > Makefile.tem
1454 rm -f Makefile
1455 mv -f Makefile.tem Makefile
1456 ;;
1457 esac
1458 fi
1459
1460 # Record target_configdirs and the configure arguments for target and
1461 # build configuration in Makefile.
1462 target_configdirs=`echo "${target_configdirs}" | sed -e 's/target-//g'`
1463 targargs=`echo "${arguments}" | \
1464 sed -e 's/--no[^ ]*//' \
1465 -e 's/--cache[a-z-]*=[^ ]*//' \
1466 -e 's/--ho[a-z-]*=[^ ]*//' \
1467 -e 's/--bu[a-z-]*=[^ ]*//' \
1468 -e 's/--ta[a-z-]*=[^ ]*//'`
1469
1470 # For the build-side libraries, we just need to pretend we're native,
1471 # and not use the same cache file. Multilibs are neither needed nor
1472 # desired.
1473 buildargs="--cache-file=../config.cache --build=${build_alias} --host=${build_alias} ${targargs}"
1474
1475 # Passing a --with-cross-host argument lets the target libraries know
1476 # whether they are being built with a cross-compiler or being built
1477 # native. However, it would be better to use other mechanisms to make the
1478 # sorts of decisions they want to make on this basis. Please consider
1479 # this option to be deprecated. FIXME.
1480 if [ x${is_cross_compiler} = xyes ]; then
1481 targargs="--with-cross-host=${host_alias} ${targargs}"
1482 fi
1483
1484 # Default to --enable-multilib.
1485 if [ x${enable_multilib} = x ]; then
1486 targargs="--enable-multilib ${targargs}"
1487 fi
1488
1489 # Pass --with-newlib if appropriate. Note that target_configdirs has
1490 # changed from the earlier setting of with_newlib.
1491 if [ x${with_newlib} != xno ] && echo " ${target_configdirs} " | grep " newlib " > /dev/null 2>&1 && [ -d ${srcdir}/newlib ] ; then
1492 targargs="--with-newlib ${targargs}"
1493 fi
1494
1495 # Pass the appropriate --host, --build, and --cache-file arguments.
1496 targargs="--cache-file=../config.cache --host=${target_alias} --build=${build_alias} ${targargs}"
1497
1498 # provide a proper gxx_include_dir.
1499 # Note, if you change the default, make sure to fix both here and in
1500 # the gcc and libstdc++-v3 subdirectories.
1501 # Check whether --with-gxx-include-dir or --without-gxx-include-dir was given.
1502 gxx_include_dir=
1503 if test -n "${with_gxx_include_dir}"; then
1504 case "${with_gxx_include_dir}" in
1505 yes )
1506 echo "configure.in: error: bad value ${withval} given for g++ include directory" 1>&2
1507 exit 1
1508 ;;
1509 no )
1510 ;;
1511 * )
1512 gxx_include_dir=${with_gxx_include_dir}
1513 ;;
1514 esac
1515 fi
1516 if test x${gxx_include_dir} = x; then
1517 if test x${enable_version_specific_runtime_libs} = xyes; then
1518 gxx_include_dir='${libsubdir}/include/g++'
1519 else
1520 . ${topsrcdir}/config.if
1521 gxx_include_dir='${prefix}/include/${libstdcxx_incdir}'
1522 fi
1523 else
1524 gxx_include_dir=${gxx_include_dir}
1525 fi
1526
1527 FLAGS_FOR_TARGET=
1528 case " $skipdirs " in
1529 *" target-newlib "*) ;;
1530 *)
1531 case " $target_configdirs " in
1532 *" newlib "*)
1533 case " $targargs " in
1534 *" --with-newlib "*)
1535 case "$target" in
1536 *-cygwin*)
1537 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -L$$r/$(TARGET_SUBDIR)/winsup -L$$r/$(TARGET_SUBDIR)/winsup/cygwin -L$$r/$(TARGET_SUBDIR)/winsup/w32api/lib -isystem $$s/winsup/include -isystem $$s/winsup/cygwin/include -isystem $$s/winsup/w32api/include -isystem $$s/newlib/libc/sys/cygwin -isystem $$s/newlib/libc/sys/cygwin32' ;;
1538 esac
1539
1540 # If we're not building GCC, don't discard standard headers.
1541 if test -d ${topsrcdir}/gcc; then
1542 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -nostdinc'
1543
1544 if test "${build}" != "${host}"; then
1545 # On Canadian crosses, CC_FOR_TARGET will have already been set
1546 # by `configure', so we won't have an opportunity to add -Bgcc/
1547 # to it. This is right: we don't want to search that directory
1548 # for binaries, but we want the header files in there, so add
1549 # them explicitly.
1550 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -isystem $$r/gcc/include'
1551
1552 # Someone might think of using the pre-installed headers on
1553 # Canadian crosses, in case the installed compiler is not fully
1554 # compatible with the compiler being built. In this case, it
1555 # would be better to flag an error than risking having
1556 # incompatible object files being constructed. We can't
1557 # guarantee that an error will be flagged, but let's hope the
1558 # compiler will do it, when presented with incompatible header
1559 # files.
1560 fi
1561 fi
1562
1563 case "${target}-${is_cross_compiler}" in
1564 i[3456]86-pc-linux*-no)
1565 # Here host == target, so we don't need to build gcc,
1566 # so we don't want to discard standard headers.
1567 FLAGS_FOR_TARGET=`echo " $FLAGS_FOR_TARGET " | sed -e 's/ -nostdinc / /'`
1568 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$$r/$(TARGET_SUBDIR)/newlib/'
1569 ;;
1570 *)
1571 # If we're building newlib, use its generic headers last, but search
1572 # for any libc-related directories first (so make it the last -B
1573 # switch).
1574 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$$r/$(TARGET_SUBDIR)/newlib/ -isystem $$r/$(TARGET_SUBDIR)/newlib/targ-include -isystem $$s/newlib/libc/include'
1575 ;;
1576 esac
1577 ;;
1578 esac
1579 ;;
1580 esac
1581 ;;
1582 esac
1583
1584 # On Canadian crosses, we'll be searching the right directories for
1585 # the previously-installed cross compiler, so don't bother to add
1586 # flags for directories within the install tree of the compiler
1587 # being built; programs in there won't even run.
1588 if test "${build}" = "${host}" && test -d ${topsrcdir}/gcc; then
1589 # Search for pre-installed headers if nothing else fits.
1590 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -B$(build_tooldir)/bin/ -B$(build_tooldir)/lib/ -isystem $(build_tooldir)/include'
1591 fi
1592
1593 if test "x${use_gnu_ld}" = x && test "x${with_gnu_ld}" != xno &&
1594 echo " ${configdirs} " | grep " ld " > /dev/null &&
1595 test -d ${srcdir}/ld; then
1596 # Arrange for us to find uninstalled linker scripts.
1597 FLAGS_FOR_TARGET=$FLAGS_FOR_TARGET' -L$$r/ld'
1598 fi
1599
1600 if test "x${CC_FOR_TARGET+set}" = xset; then
1601 :
1602 elif test -d ${topsrcdir}/gcc; then
1603 CC_FOR_TARGET='$$r/gcc/xgcc -B$$r/gcc/'
1604 elif test "$host" = "$target"; then
1605 CC_FOR_TARGET='$(CC)'
1606 else
1607 CC_FOR_TARGET=`echo gcc | sed -e 's/x/x/' ${program_transform_name}`
1608 fi
1609 # On Canadian crosses, configure reads CC_FOR_TARGET from Makefile,
1610 # if Makefile exists. Prevent $(FLAGS_FOR_TARGET) from being duplicated.
1611 case $CC_FOR_TARGET in
1612 *' $(FLAGS_FOR_TARGET)') ;;
1613 *) CC_FOR_TARGET=$CC_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
1614 esac
1615
1616 if test "x${GCJ_FOR_TARGET+set}" = xset; then
1617 :
1618 elif test -d ${topsrcdir}/gcc; then
1619 GCJ_FOR_TARGET='$$r/gcc/gcj -B$$r/gcc/'
1620 elif test "$host" = "$target"; then
1621 GCJ_FOR_TARGET='gcj'
1622 else
1623 GCJ_FOR_TARGET=`echo gcj | sed -e 's/x/x/' ${program_transform_name}`
1624 fi
1625 case $GCJ_FOR_TARGET in
1626 *' $(FLAGS_FOR_TARGET)') ;;
1627 *) GCJ_FOR_TARGET=$GCJ_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
1628 esac
1629
1630 if test "x${CXX_FOR_TARGET+set}" = xset; then
1631 :
1632 elif test -d ${topsrcdir}/gcc; then
1633 # We add -shared-libgcc to CXX_FOR_TARGET whenever we use xgcc instead
1634 # of g++ for linking C++ or Java, because g++ has -shared-libgcc by
1635 # default whereas gcc does not.
1636 CXX_FOR_TARGET='$$r/gcc/`case $$dir in libstdc++-v3 | libjava) echo xgcc -shared-libgcc ;; *) echo g++ ;; esac` -B$$r/gcc/ -nostdinc++ '$libstdcxx_flags
1637 elif test "$host" = "$target"; then
1638 CXX_FOR_TARGET='$(CXX)'
1639 else
1640 CXX_FOR_TARGET=`echo c++ | sed -e 's/x/x/' ${program_transform_name}`
1641 fi
1642 case $CXX_FOR_TARGET in
1643 *' $(FLAGS_FOR_TARGET)') ;;
1644 *) CXX_FOR_TARGET=$CXX_FOR_TARGET' $(FLAGS_FOR_TARGET)' ;;
1645 esac
1646 qCXX_FOR_TARGET=`echo "$CXX_FOR_TARGET" | sed 's,[&%],\\\&,g'`
1647
1648 # We want to defer the evaluation of `cmd`s and shell variables in
1649 # CXX_FOR_TARGET when recursing in the top-level Makefile, such as for
1650 # bootstrap. We'll enclose CXX_FOR_TARGET_FOR_RECURSIVE_MAKE in single
1651 # quotes, but we still have to duplicate `$'s so that shell variables
1652 # can be expanded by the nested make as shell variables, not as make
1653 # macros.
1654 qqCXX_FOR_TARGET=`echo "$qCXX_FOR_TARGET" | sed -e 's,[$][$],$$$$,g'`
1655
1656 sedtemp=sed.$$
1657 cat >$sedtemp <<EOF
1658 s:^TARGET_CONFIGDIRS[ ]*=.*$:TARGET_CONFIGDIRS = ${target_configdirs}:
1659 s%^TARGET_CONFIGARGS[ ]*=.*$%TARGET_CONFIGARGS = ${targargs}%
1660 s%^FLAGS_FOR_TARGET[ ]*=.*$%FLAGS_FOR_TARGET = ${FLAGS_FOR_TARGET}%
1661 s%^CC_FOR_TARGET[ ]*=.*$%CC_FOR_TARGET = ${CC_FOR_TARGET}%
1662 s%^GCJ_FOR_TARGET[ ]*=.*$%GCJ_FOR_TARGET = ${GCJ_FOR_TARGET}%
1663 s%^CXX_FOR_TARGET[ ]*=.*$%CXX_FOR_TARGET = ${qCXX_FOR_TARGET}%
1664 s%^CXX_FOR_TARGET_FOR_RECURSIVE_MAKE[ ]*=.*$%CXX_FOR_TARGET_FOR_RECURSIVE_MAKE = ${qqCXX_FOR_TARGET}%
1665 s%^TARGET_SUBDIR[ ]*=.*$%TARGET_SUBDIR = ${target_subdir}%
1666 s%^BUILD_SUBDIR[ ]*=.*$%BUILD_SUBDIR = ${build_subdir}%
1667 s%^BUILD_CONFIGARGS[ ]*=.*$%BUILD_CONFIGARGS = ${buildargs}%
1668 s%^gxx_include_dir[ ]*=.*$%gxx_include_dir=${gxx_include_dir}%
1669 EOF
1670 sed -f $sedtemp Makefile > Makefile.tem
1671 rm -f Makefile $sedtemp
1672 mv -f Makefile.tem Makefile
1673
1674 #
1675 # Local Variables:
1676 # fill-column: 131
1677 # End:
1678 #
This page took 0.081125 seconds and 3 git commands to generate.